<?php
/**
 * Plugin Name: Cube Points For Global Forum
 * Version: 1.0
 * Author: Brajesh Singh
 * Author URI: http://buddydev.com/members/sbrajesh/
 * Plugin URI: http://buddydev.com/plugins/
 * Last Updated: 19th May 2010
 * Description: Adds Cube point support for global forum
 */

//add ne topic
////delete topic
//add post
//delete post
if(!function_exists("cp_points"))
    return;//prevent any crash
// Add Points for Global Forum New topic
function my_bp_gf_new_topic_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_gf_new_topic', $bp->loggedin_user->id, get_option('bp_gf_new_topic_cp_bp'), "");
	}
}

// Remove Points for Global forum topic Delete
function my_bp_gf_topic_delete_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_gf_topic_delete', $bp->loggedin_user->id, get_option('bp_gf_topic_delete_cp_bp'), "");
	}
}

// Add Points for Global forum new post
function my_bp_gf_new_post_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_gf_new_post', $bp->loggedin_user->id, get_option('bp_gf_new_post_cp_bp'), "");
	}
}

// Remove Points for Global Forum Post Delete
function my_bp_gf_post_delete_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_gf_post_delete', $bp->loggedin_user->id, get_option('bp_gf_post_delete_cp_bp'), "");
	}
}


/*hook to actions*/
//create new topic
add_action('gf_create_topic','my_bp_gf_new_topic_add_cppoints');

// Add Points for Topic delete, please note, there is a bug in global forum causing it to run twice for the same action
add_action('gf_delete_forum_topic','my_bp_gf_topic_delete_add_cppoints');
// Log
add_action('cp_logs_description','cp_bp_gf_new_topic_log', 10, 4);
function cp_bp_gf_new_topic_log($type,$uid,$points,$data){
if($type!='cp_bp_gf_new_topic') { return; }
echo 'Global Forum New Topic';
}


// Log
add_action('cp_logs_description','cp_bp_gf_topic_delete_log', 10, 4);
function cp_bp_gf_topic_delete_log($type,$uid,$points,$data){
if($type!='cp_bp_gf_topic_delete') { return; }
echo 'Global Forum Topic Delete';
}
//add new post
add_action('gf_new_forum_topic_post','my_bp_gf_new_post_add_cppoints');
// Log
add_action('cp_logs_description','cp_bp_gf_new_post_log', 10, 4);
function cp_bp_gf_new_post_log($type,$uid,$points,$data){
if($type!='cp_bp_gf_new_post') { return; }
echo 'Global Forum New Post';
}

// Add Points for Forum Post delete//rund twice
add_action('gf_delete_forum_post','my_bp_gf_post_delete_add_cppoints');
// Log
add_action('cp_logs_description','cp_bp_gf_post_delete_log', 10, 4);
function cp_bp_gf_post_delete_log($type,$uid,$points,$data){
if($type!='cp_bp_gf_post_delete') { return; }
echo 'Global Forum Post Delete';
}




/*for admin page*/
function gf_cp_update_settings(){
        update_option('bp_gf_new_topic_cp_bp', intval($_POST['bp_gf_new_topic_cp_bp']));		
	update_option('bp_gf_topic_delete_cp_bp', intval($_POST['bp_gf_topic_delete_cp_bp']));
        update_option('bp_gf_new_post_cp_bp', intval($_POST['bp_gf_new_post_cp_bp']));		
	update_option('bp_gf_post_delete_cp_bp', intval($_POST['bp_gf_post_delete_cp_bp']));
}

add_action("bp_cubepoint_settings_updated","gf_cp_update_settings");

function gf_show_cp_settings(){?>
                <tr>
			<th colspan="3"><h4 align="center"><?php _e('Below Requires','cp_buddypress'); ?> <a href="http://buddydev.com/plugins/global-forums">Global Forum Plugin</a> [BuddyDev.com]</h4></th>
		</tr>
                <tr valign="top">
			<th scope="row"><label for="bp_gf_new_topic_cp_bp"><?php _e('Points for Global Forum New Topic','cp_buddypress'); ?>:</label></th>
			<td valign="middle"><input type="text" id="bp_gf_new_topic_cp_bp" name="bp_gf_new_topic_cp_bp" value="<?php echo get_option('bp_gf_new_topic_cp_bp'); ?>" size="2" /></td>
			<td><input type="button" onclick="document.getElementById('bp_gf_new_topic_cp_bp').value='0'" value="<?php _e('Do not add points','cp_buddypress'); ?>" class="button" /></td>
		</tr>	
		<tr valign="top">
			<th scope="row"><label for="bp_gf_topic_delete_cp_bp"><?php _e('Remove points for Global Forum Topic deletion','cp_buddypress'); ?>:</label></th>
			<td valign="middle"><input type="text" id="bp_gf_topic_delete_cp_bp" name="bp_gf_topic_delete_cp_bp" value="<?php echo get_option('bp_gf_topic_delete_cp_bp'); ?>" size="2" /></td>
			<td><input type="button" onclick="document.getElementById('bp_gf_topic_delete_cp_bp').value='0'" value="<?php _e('Do not remove points','cp_buddypress'); ?>" class="button" /></td>
		</tr>
                
                <tr valign="top">
			<th scope="row"><label for="bp_gf_new_post_cp_bp"><?php _e('Points for Global Forum New Post','cp_buddypress'); ?>:</label></th>
			<td valign="middle"><input type="text" id="bp_gf_new_post_cp_bp" name="bp_gf_new_post_cp_bp" value="<?php echo get_option('bp_gf_new_post_cp_bp'); ?>" size="2" /></td>
			<td><input type="button" onclick="document.getElementById('bp_gf_new_post_cp_bp').value='0'" value="<?php _e('Do not add points','cp_buddypress'); ?>" class="button" /></td>
		</tr>	
		<tr valign="top">
			<th scope="row"><label for="bp_gf_post_delete_cp_bp"><?php _e('Remove points for Global Forum Post deletion','cp_buddypress'); ?>:</label></th>
			<td valign="middle"><input type="text" id="bp_gf_post_delete_cp_bp" name="bp_gf_post_delete_cp_bp" value="<?php echo get_option('bp_gf_post_delete_cp_bp'); ?>" size="2" /></td>
			<td><input type="button" onclick="document.getElementById('bp_gf_tpost_delete_cp_bp').value='0'" value="<?php _e('Do not remove points','cp_buddypress'); ?>" class="button" /></td>
		</tr>
<?php

}

add_action("bp_cubepoint_main_settings","gf_show_cp_settings");

?>